Skip to main content
GET
/
liquidity
/
asset
/
{symbol}
Get Asset
curl --request GET \
  --url https://rwapulse.xyz/api/v0/liquidity/asset/{symbol} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://rwapulse.xyz/api/v0/liquidity/asset/{symbol}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://rwapulse.xyz/api/v0/liquidity/asset/{symbol}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Returns detailed liquidity breakdown for a single asset including issuer and network splits.
curl "https://rwapulse.xyz/api/v0/liquidity/asset/TSLA" \
  -H "Authorization: Bearer rwa_your_key"

Path Parameters

NameRequiredDescription
symbolYesAsset symbol (e.g., TSLA, Gold)

Response

{
  "symbol": "TSLA",
  "assetType": "stock",
  "totalTvl": 150000,
  "totalVolume": 12000,
  "history": {
    "7d": { "tvl": 140000, "tvlChange": 7.14 },
    "30d": { "tvl": 130000, "tvlChange": 15.38 }
  },
  "issuers": [
    {
      "name": "xStocks",
      "tokenSymbol": "TSLAx",
      "totalTvl": 100000,
      "totalVolume": 8000,
      "networks": [
        {
          "network": "solana",
          "tvl": 100000,
          "pools": [...]
        }
      ]
    }
  ],
  "marketData": {
    "onChainMarketCap": 5000000,
    "tradfiAssetPrice": 250.50
  }
}

Common Mistake

Symbol must match exactly. Use TSLA not tsla or Tesla.